## RygelIconInfo

RygelIconInfo — Holds information about an icon.

## Functions

RygelIconInfo * | rygel_icon_info_new ()
gpointer | rygel_icon_info_ref ()
void | rygel_icon_info_unref ()
GParamSpec * | rygel_param_spec_icon_info ()
void | rygel_value_set_icon_info ()
gpointer | rygel_value_get_icon_info ()
void | rygel_value_take_icon_info ()

## Types and Values

#define | RYGEL_TYPE_ICON_INFO
struct | RygelIconInfo
struct | RygelIconInfoClass

## Object Hierarchy

        RygelIconInfo

## Description

## Functions

### rygel_icon_info_new ()

    RygelIconInfo *
    rygel_icon_info_new (const gchar *mime_type,
                         const gchar *file_extension);

#### Parameters

mime_type |  |
file_extension |  |

### rygel_icon_info_ref ()

    gpointer
    rygel_icon_info_ref (gpointer instance);

Increases the reference count of `object` .

#### Parameters

instance | a RygelIconInfo. |

#### Returns

the same `object`

### rygel_icon_info_unref ()

    void
    rygel_icon_info_unref (gpointer instance);

Decreases the reference count of `object` . When its reference count drops to 0, the object is finalized (i.e. its memory is freed).

#### Parameters

instance | a RygelIconInfo. |

### rygel_param_spec_icon_info ()

    GParamSpec *
    rygel_param_spec_icon_info (const gchar *name,
                                const gchar *nick,
                                const gchar *blurb,
                                GType object_type,
                                GParamFlags flags);

Creates a new GParamSpecBoxed instance specifying a `RYGEL_TYPE_ICON_INFO` derived property.

See ``g_param_spec_internal()`` for details on property names.

#### Parameters

name | canonical name of the property specified |
nick | nick name for the property specified |
blurb | description of the property specified |
object_type | `RYGEL_TYPE_ICON_INFO` derived type of this property |
flags | flags for the property specified |

### rygel_value_set_icon_info ()

    void
    rygel_value_set_icon_info (GValue *value,
                               gpointer v_object);

Set the contents of a `RYGEL_TYPE_ICON_INFO` derived GValue to `v_object` .

`rygel_value_set_icon_info()` increases the reference count of `v_object` (the GValue holds a reference to `v_object`). If you do not wish to increase the reference count of the object (i.e. you wish to pass your current reference to the GValue because you no longer need it), use `rygel_value_take_icon_info()` instead.

It is important that your GValue holds a reference to `v_object` (either its own, or one it has taken) to ensure that the object won't be destroyed while the GValue still exists).

#### Parameters

value | a valid GValue of `RYGEL_TYPE_ICON_INFO` derived type |
v_object | object value to be set |

### rygel_value_get_icon_info ()

    gpointer
    rygel_value_get_icon_info (const GValue *value);

Get the contents of a `RYGEL_TYPE_ICON_INFO` derived GValue.

#### Parameters

value | a valid GValue of `RYGEL_TYPE_ICON_INFO` derived type |

#### Returns

object contents of `value`

### rygel_value_take_icon_info ()

    void
    rygel_value_take_icon_info (GValue *value,
                                gpointer v_object);

Sets the contents of a `RYGEL_TYPE_ICON_INFO` derived GValue to `v_object` and takes over the ownership of the callers reference to `v_object` ; the caller doesn't have to unref it any more (i.e. the reference count of the object is not increased).

If you want the GValue to hold its own reference to `v_object` , use `rygel_value_set_icon_info()` instead.

#### Parameters

value | a valid GValue of `RYGEL_TYPE_ICON_INFO` derived type |
v_object | object value to be set |

## Types and Values

### RYGEL_TYPE_ICON_INFO

    #define RYGEL_TYPE_ICON_INFO (rygel_icon_info_get_type ())

The type for RygelIconInfo.

### struct RygelIconInfo

    struct RygelIconInfo;

Holds information about an icon.

### struct RygelIconInfoClass

    struct RygelIconInfoClass {
    	GTypeClass parent_class;
    	void (*finalize) (RygelIconInfo *self);
    };

The class structure for `RYGEL_TYPE_ICON_INFO`. All the fields in this structure are private and should never be accessed directly.

#### Members

`finalize` () |  |